import { BridgeType } from '@bnb-chain/canonical-bridge-sdk';
import { BaseAdapter } from '../../shared/BaseAdapter';
import { IMesonChain, IMesonToken } from './types';

export declare class MesonAdapter extends BaseAdapter<IMesonChain[], IMesonChain, IMesonToken> {
    bridgeType: BridgeType;
    protected initChains(): void;
    protected initTokens(): void;
    protected initTransferMap(): void;
    getChainId(chain: IMesonChain): number;
    protected getChainIdAsObject(chainId: number): {
        chainId: number;
    };
    getTokenInfo({ chainId, token }: {
        chainId: number;
        token: IMesonToken;
    }): {
        displaySymbol: string;
        icon: string;
        name: any;
        symbol: string;
        address: string;
        decimals: number;
    };
}
